<?php

namespace Kufer\Web\KuferTools\Dozent\FachVertraege\VertraegeUebersicht;

use Kufer\Web\KuferTools\Basis\Controller\ToolController;

class VertraegeUebersichtController extends ToolController
{
  protected function getRequestObj()
  {
    $requestObj = new VertraegeUebersichtRequest();
    $requestObj->einstieg = \GetOperations::isDefined('einstieg');

    return $requestObj;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new VertraegeUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  public function getPresenter($pUseCaseResponse)
  {
    return new VertraegeUebersichtPresenter($pUseCaseResponse);
  }
}